Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.features.tricycle13
Class PositionWeightMatrixFeatures.Geometry

    java.lang.Object
      calhoun.analysis.crf.features.tricycle13.PositionWeightMatrixFeatures.Geometry

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  PositionWeightMatrixFeatures

    public static class PositionWeightMatrixFeatures.Geometry

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`PositionWeightMatrixFeatures.Geometry()`

Method Summary
`BeanModel.Node` | `getCurrent()`
`java.util.List<BeanModel.Node>` | `getOverlapCorrections()`
`BeanModel.Node` | `getPrev()`
`int` | `getSize()`
`int` | `getTransition()`
`void` | `setCurrent(BeanModel.Node current)`
`void` | `setOverlapCorrections(java.util.List<BeanModel.Node> overlapCorrections)`
`void` | `setPrev(BeanModel.Node prev)`
`void` | `setSize(int size)`
`void` | `setTransition(int transition)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionWeightMatrixFeatures.Geometry

    public PositionWeightMatrixFeatures.Geometry()

Method Detail

### getCurrent

    public BeanModel.Node getCurrent()

### setCurrent

    public void setCurrent(BeanModel.Node current)

### getOverlapCorrections

    public java.util.List<BeanModel.Node> getOverlapCorrections()

### setOverlapCorrections

    public void setOverlapCorrections(java.util.List<BeanModel.Node> overlapCorrections)

### getPrev

    public BeanModel.Node getPrev()

### setPrev

    public void setPrev(BeanModel.Node prev)

### getSize

    public int getSize()

### setSize

    public void setSize(int size)

### getTransition

    public int getTransition()

### setTransition

    public void setTransition(int transition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD